//+------------------------------------------------------------------+
//|                                                    CCheckBox.mqh |
//|                        Copyright 2015, MetaQuotes Software Corp. |
//|                                             https://www.mql5.com |
//+------------------------------------------------------------------+

#include "Controls\CheckBox.mqh"
#include "S_index_param.mqh"
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
class CCheck_Box
  {
private:
   int               x1,y1,x2,y2;
public:
                     CCheck_Box();
                    ~CCheck_Box();
   bool              create_6(CCheckBox  &m_checkbox[],S_index_param &index_param);
   bool              create_12(CCheckBox  &m_checkbox[],S_index_param &index_param);
  };
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
bool CCheck_Box::create_6(CCheckBox &m_checkbox[],S_index_param &index_param)
  {
   ArrayFree(m_checkbox);
   ArrayResize(m_checkbox,1);
   x1=20;// 
   y1=100;//-
   x2=x1+180;
   y2=y1+19;
   if(!m_checkbox[0].Create(0,"m_checkbox_1",0,x1,y1,x2,y2))    return(true);
   if(index_param.Language==0)
     {
      if(!m_checkbox[0].Text(" ")    )                         return(true);
     }
   else
     {
      if(!m_checkbox[0].Text("Without zero")    )                         return(true);
     }
   if(!m_checkbox[0].Checked(index_param.ZZ_ind_pnull_last)    )                         return(true);
   return(true);
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
bool CCheck_Box::create_12(CCheckBox &m_checkbox[],S_index_param &index_param)
  {
   ArrayFree(m_checkbox);
   ArrayResize(m_checkbox,1);
   x1=5;x2=x1+180;//-
   y1=5;y2=y1+19;//-
   if(!m_checkbox[0].Create(0,"m_checkbox_1",0,x1,y1,x2,y2))    return(true);
   if(index_param.Language==0)
     {
      if(!m_checkbox[0].Text(" - ()")    )                         return(true);
     }
   else
     {
      if(!m_checkbox[0].Text("Events - voice(Rus)")    )                         return(true);
     }
   if(!m_checkbox[0].Checked(index_param.EventsVoice))                         return(true);
   return(true);
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
CCheck_Box::CCheck_Box()
  {
  }
//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+
CCheck_Box::~CCheck_Box()
  {
  }
//+------------------------------------------------------------------+
